[Mailman-Users] Upgrade to 2.1

Charles Sebold sebold at lcms.org
Mon Feb 24 17:24:06 CET 2003

On 19 Adar I 5763, Andy Firman wrote:

> Any Debian users on this list?
> How would I upgrade from 2.0.11?
> When I installed the system I just did an apt-get install mailman.
> Do I need to do a source install to upgrade?
> Not sure if I can do that.

At this time it looks like the latest version in "sarge" (the testing
distribution) is 2.0.13.  "Sid" or unstable appears to have a version
of 2.1:


However note that packages don't move from unstable to testing until
they have gone for a couple of weeks without a major bug report.

If you have to upgrade now, you might want to get the source (the
canonical source for 2.1.1, not the Debian package source), configure in
a way that matches the Debian configuration (like changing the Makefile
to MAILMAN_UID=list rather than something else,
MAILMAN_HOME=/var/lib/mailman, and so on), and try installing from
source on a test system.  But from then on you would probably have to
maintain the source yourself, or go through some sort of reintegration
process to sync back up to whatever changes Debian introduces into its
2.1+ packages.

At the moment I am waiting for the Debian package to at least come down
to "testing."  If I had to upgrade now, I would probably follow the
directions to have two Mailman installs on the same system, install
from source, move the lists over manually, and then stick to source
installs from then on, and not use Debian.  But I'm lazy and not yet
desperate for the 2.1+ features, so I'm waiting for Debian.
Charles Sebold                                      22nd of Adar I, 5763
      Systems Specialist, LCMS - Office of Information Systems
        *** Opinions expressed herein are not necessarily ***
        *** those of the Lutheran Church - Missouri Synod ***

More information about the Mailman-Users mailing list